using UnityEngine.InputSystem;

namespace NBF.Setting
{
    public abstract class KeyBoardOption : InputOption
    {
        protected override bool IsBindingContains(InputBinding binding)
        {
            var path = binding.path;
            if (path.Contains("<Keyboard>") || path.Contains("<Mouse>"))
            {
                return true;
            }

            return false;
        }
    }
}